Bug 392601 - odd tearing issues with radeon driver
odd tearing issues with radeon driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-20 10:43 EST by Andrew Overholt
Modified: 2009-01-09 02:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:28:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
illustrative screenshot (178.04 KB, image/png)
2007-11-20 10:43 EST, Andrew Overholt
no flags Details
/var/log/Xorg.0.log (156.35 KB, text/plain)
2007-11-21 12:32 EST, Andrew Overholt
no flags Details
/etc/X11/xorg.conf (613 bytes, application/octet-stream)
2007-11-21 12:33 EST, Andrew Overholt
no flags Details

  None (edit)
Description Andrew Overholt 2007-11-20 10:43:03 EST
I don't notice this on machines that don't use the radeon driver so I suspect
there may be an issue there.  I'm using stock F8 with metacity.  I *often* see
issues with gnome-terminal like the screenshot I'm going to attach.

# lspci | grep ATI
01:00.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200] (rev 01)
01:00.1 Display controller: ATI Technologies Inc RV280 [Radeon 9200] (Secondary)
(rev 01)

Often, I'll get weird artifacts of things that either used to be on my screen or
are in other windows that are open but not in view.
Comment 1 Andrew Overholt 2007-11-20 10:43:04 EST
Created attachment 265041 [details]
illustrative screenshot
Comment 2 Matěj Cepl 2007-11-21 08:18:11 EST
Actually, this might be problem of gnome-terminal (is that what you use as your
xterm emulator)? Reassigning to gnome-terminal folks for further investigation.
However, still, could you please attach to this bug /var/log/Xorg.0.log and
/etc/X11/xorg.conf (just in case) as two separate uncompressed attachments?
Thank you.
Comment 3 Andrew Overholt 2007-11-21 12:32:12 EST
Yes, I use gnome-terminal (see comment #1 ;).  I'll attach the two requested files.
Comment 4 Andrew Overholt 2007-11-21 12:32:49 EST
Created attachment 266171 [details]
/var/log/Xorg.0.log
Comment 5 Andrew Overholt 2007-11-21 12:33:03 EST
Created attachment 266181 [details]
/etc/X11/xorg.conf
Comment 6 Andrew Overholt 2007-12-05 10:49:08 EST
I talked to Behdad and it's not a gnome-terminal issue in his opinion.  I can
only duplicate this on radeon hardware.
Comment 7 Bug Zapper 2008-11-26 03:37:06 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-01-09 02:28:15 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.